Skip to main content
POST
/
v1
/
{tenantUUID}
/
market
/
services
Create IP Market Service
curl --request POST \
  --url https://apigw.ipxo.com/billing/v1/{tenantUUID}/market/services \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "subnets": [
    {
      "address": "string",
      "cidr": 0,
      "minimum_split": 0,
      "maximum_split": 0,
      "pricings": [
        {
          "cidr": 0,
          "value": 0,
          "wants_to_negotiate": true,
          "selected_commitment_periods": [
            3
          ]
        }
      ],
      "hidden": true,
      "maintainer_id": "string",
      "maintainer_password": "string",
      "registry": "string"
    }
  ],
  "tos_accepted": true,
  "subnet_actions_accepted": true
}
'
{
  "data": [
    {
      "uuid": "string",
      "address": "string",
      "cidr": 0,
      "start": "string",
      "abuse_email": "string",
      "registry": "string",
      "status": "auth_pending",
      "auth": {
        "type": "string",
        "status": "string",
        "description": "string"
      },
      "whois": {
        "status": "string",
        "description": "string"
      },
      "bgp": {
        "status": "string",
        "description": "string"
      },
      "dns": {
        "status": "string",
        "description": "string"
      },
      "iprep": {
        "status": "string",
        "description": "string"
      },
      "loaa": {
        "status": "string",
        "description": "string"
      },
      "roa": {
        "status": "string",
        "description": "string"
      },
      "hidden": true,
      "reservation_id": "string",
      "minimum_split": 0,
      "maximum_split": 0,
      "loa-a": {
        "email": "string",
        "status": "string",
        "created_at": 0
      },
      "ips": {
        "run_rate": 0,
        "run_rate_ip": 0,
        "total": 0,
        "used": 0,
        "free": 0,
        "utilisation_percent": 0
      },
      "pricings": {
        "data": [
          {
            "uuid": "string",
            "subnet_size": 0,
            "ip_count": 0,
            "price": 0,
            "commission": 0,
            "wants_to_negotiate": true,
            "selected_commitment_periods": [
              0
            ]
          }
        ],
        "meta": {
          "current_page": 0,
          "from": 0,
          "last_page": 0,
          "per_page": 0,
          "to": 0,
          "total": 0
        }
      },
      "terminated": 0,
      "expires_at": 0,
      "has_commitments": true,
      "can_initiate_expiration": true,
      "services": {
        "uuid": "string",
        "cidr": 0,
        "address": "string",
        "status": "string",
        "pricing": {
          "uuid": "string",
          "subnet_size": 0,
          "ip_count": 0,
          "price": 0,
          "commission": 0,
          "wants_to_negotiate": true,
          "selected_commitment_periods": [
            0
          ]
        },
        "commitment": {
          "uuid": "string",
          "pricing_uuid": "string",
          "status": "string",
          "price": 0,
          "period": 0,
          "start_date": 0,
          "end_date": 0
        }
      },
      "commitmentReservations": {
        "uuid": "string",
        "address": "string",
        "cidr": 0,
        "price": 0,
        "commitment_period": 0,
        "created_at": 0,
        "tenant": {
          "uuid": "string",
          "title": "string"
        },
        "ipmarket_service": {
          "uuid": "string",
          "address": "string",
          "cidr": 0
        },
        "commitment": {
          "uuid": "string",
          "pricing_uuid": "string",
          "status": "string",
          "price": 0,
          "period": 0,
          "start_date": 0,
          "end_date": 0
        }
      },
      "serviceReservations": {
        "address": "string",
        "cidr": 0,
        "pricing": {
          "uuid": "string",
          "subnet_size": 0,
          "ip_count": 0,
          "price": 0,
          "commission": 0,
          "wants_to_negotiate": true,
          "selected_commitment_periods": [
            0
          ]
        }
      }
    }
  ],
  "meta": {
    "current_page": 0,
    "from": 0,
    "last_page": 0,
    "per_page": 0,
    "to": 0,
    "total": 0
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

tenantUUID
string
required

UUID

Pattern: ^[a-zA-Z0-9]{8}\-[a-zA-Z0-9]{4}\-[a-zA-Z0-9]{4}\-[a-zA-Z0-9]{4}\-[a-zA-Z0-9]{12}$

Body

application/json
tos_accepted
boolean
required
subnet_actions_accepted
boolean
required
subnets
object[]

Response

IP Market Service

data
object[]
meta
object